Index: pykota/trunk/bin/cupspykota
===================================================================
--- pykota/trunk/bin/cupspykota (revision 1478)
+++ pykota/trunk/bin/cupspykota (revision 1483)
@@ -24,4 +24,8 @@
 #
 # $Log$
+# Revision 1.44  2004/05/18 14:48:47  jalet
+# Big code changes to completely remove the need for "requester" directives,
+# jsut use "hardware(... your previous requester directive's content ...)"
+#
 # Revision 1.43  2004/05/17 11:46:05  jalet
 # First try at cupspykota's main loop rewrite
@@ -186,5 +190,4 @@
 from pykota.storage import PyKotaStorageError
 from pykota.accounter import PyKotaAccounterError
-from pykota.requester import PyKotaRequesterError
     
 class PyKotaPopen4(popen2.Popen4) :
@@ -508,5 +511,5 @@
             kotabackend = PyKotaBackend()    
             retcode = kotabackend.mainWork()
-        except (PyKotaToolError, PyKotaConfigError, PyKotaStorageError, PyKotaAccounterError, PyKotaRequesterError, AttributeError, KeyError, IndexError, ValueError, TypeError, IOError), msg :
+        except (PyKotaToolError, PyKotaConfigError, PyKotaStorageError, PyKotaAccounterError, AttributeError, KeyError, IndexError, ValueError, TypeError, IOError), msg :
             import traceback
             mm = [((f.endswith('\n') and f) or (f + '\n')) for f in traceback.format_exception(*sys.exc_info())]
Index: pykota/trunk/bin/pykota
===================================================================
--- pykota/trunk/bin/pykota (revision 1400)
+++ pykota/trunk/bin/pykota (revision 1483)
@@ -24,4 +24,8 @@
 #
 # $Log$
+# Revision 1.58  2004/05/18 14:48:47  jalet
+# Big code changes to completely remove the need for "requester" directives,
+# jsut use "hardware(... your previous requester directive's content ...)"
+#
 # Revision 1.57  2004/03/15 10:47:56  jalet
 # This time the traceback formatting should be correct !
@@ -233,5 +237,4 @@
 from pykota.storage import PyKotaStorageError
 from pykota.accounter import PyKotaAccounterError
-from pykota.requester import PyKotaRequesterError
 
 class PyKotaFilter(PyKotaFilterOrBackend) :        
@@ -359,5 +362,5 @@
         kotafilter = PyKotaFilter()    
         retcode = kotafilter.mainWork()
-    except (PyKotaToolError, PyKotaConfigError, PyKotaStorageError, PyKotaAccounterError, PyKotaRequesterError, AttributeError, KeyError, IndexError, ValueError, TypeError, IOError), msg :
+    except (PyKotaToolError, PyKotaConfigError, PyKotaStorageError, PyKotaAccounterError, AttributeError, KeyError, IndexError, ValueError, TypeError, IOError), msg :
         import traceback
         mm = [((f.endswith('\n') and f) or (f + '\n')) for f in traceback.format_exception(*sys.exc_info())]
Index: pykota/trunk/bin/pkhint
===================================================================
--- pykota/trunk/bin/pkhint (revision 1475)
+++ pykota/trunk/bin/pkhint (revision 1483)
@@ -24,4 +24,8 @@
 #
 # $Log$
+# Revision 1.8  2004/05/18 14:48:47  jalet
+# Big code changes to completely remove the need for "requester" directives,
+# jsut use "hardware(... your previous requester directive's content ...)"
+#
 # Revision 1.7  2004/05/13 13:59:27  jalet
 # Code simplifications
@@ -214,13 +218,11 @@
                     snmpcommand = self.accepts(SNMPTESTS, hostname)
                     if snmpcommand is not None :
-                        accounter = "hardware"
-                        requester = 'external(/usr/share/pykota/waitprinter.sh %(printer)s && ' + snmpcommand + ')'
-                        configuration.append((printer, accounter, requester))
+                        accounter = 'hardware(/usr/share/pykota/waitprinter.sh %(printer)s && ' + snmpcommand + ')'
+                        configuration.append((printer, accounter))
                     else :    
                         netpjlcommand = self.accepts(NETPJLTESTS, hostname, port)
                         if netpjlcommand is not None :
-                            accounter = "hardware"
-                            requester = 'external(' + netpjlcommand + ')'
-                            configuration.append((printer, accounter, requester))
+                            accounter = 'hardware(' + netpjlcommand + ')'
+                            configuration.append((printer, accounter))
                 elif devicetype == "direct" : 
                     sys.stderr.write("Can't currently handle device %s for printer %s\n" % (device, printer))
@@ -234,9 +236,7 @@
         else :
             print "\nPut the following lines into your /etc/pykota/pykota.conf file :\n"
-            for (printer, accounter, requester) in configuration :
+            for (printer, accounter) in configuration :
                 print "[%s]" % printer
                 print "accounter: %s" % accounter
-                if requester is not None :
-                    print "requester: %s" % requester
                 print    
         
